Bug 220031 - mount: could not find filesystem '/dev/root'
mount: could not find filesystem '/dev/root'
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Prarit Bhargava
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-18 10:59 EST by Fabio Bettoni
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 14:44:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fabio Bettoni 2006-12-18 10:59:37 EST
Description of problem:
kernel-2.6.19-1.2877.fc7 and kernel-2.6.19-1.2881.fc7 don't boot

Version-Release number of selected component (if applicable):
kernel-2.6.19-1.2877.fc7 and kernel-2.6.19-1.2881.fc7
kernel-2.6.18-1.2849.fc6 is last working kernel

How reproducible: @boot

Actual results:
Creating root device.
Mounting root filesystem.
mount: could not find filesystem '/dev/root'
Setting up other filesystems.
Setting up new root fs
setuproot: moving /dev failed: No such file or directory
no fstab.sys, mounting internal defaults
setuproot: error mouKernel panic - not syncing: Attempted to kill init!
nting /proc: No such file or dir


Additional info:
initrd of 2.6.19 is much bigger than old 2.6.18 
[root@integrity redhat]# zcat initrd-2.6.19-1.2881.fc7.img |cpio -t
proc
sysroot
sys
dev
dev/rtc
dev/tty11
dev/tty1
dev/tty6
dev/ttyS3
dev/tty2
dev/tty5
dev/tty
dev/tty12
dev/tty3
dev/zero
dev/tty8
dev/ptmx
dev/ttyS1
dev/tty7
dev/ram0
dev/ram
dev/efirtc
dev/tty0
dev/tty10
dev/systty
dev/ttyS0
dev/ram1
dev/console
dev/mapper
dev/ttyS2
dev/tty4
dev/null
dev/tty9
usr
usr/lib
usr/lib/libdhcp.so.1
usr/lib/libpopt.so.0.0.0
usr/lib/libpopt.so.0
usr/lib/libnl.so.1
usr/lib/libparted-1.8.so.0
usr/lib/libnash.so.6.0.5
usr/lib/libbdevid.so.6.0.5
usr/lib/libz.so.1
usr/lib/libdhcp4client.so.1
usr/lib/libparted-1.8.so.0.0.1
usr/lib/libz.so.1.2.3
usr/lib/libnl.so.1.0-pre5
usr/lib/libdhcp6client.so.1
init
lib
lib/libresolv-2.5.90.so
lib/libc-2.5.90.so
lib/librt-2.5.90.so
lib/libpthread-2.5.90.so
lib/scsi_mod.ko
lib/libblkid.so.1
lib/libresolv.so.2
lib/ehci-hcd.ko
lib/libdl.so.2
lib/ld-2.5.90.so
lib/librt.so.1
lib/libm-2.5.90.so
lib/libdl-2.5.90.so
lib/sym53c8xx.ko
lib/libdevmapper.so.1.02
lib/libuuid.so.1.2
lib/uhci-hcd.ko
lib/jbd.ko
lib/libsepol.so.1
lib/libglib-2.0.so.0
lib/libm.so.6.1
lib/libcrypto.so.6
lib/libglib-2.0.so.0.1200.4
lib/ext3.ko
lib/libcrypto.so.0.9.8b
lib/mptbase.ko
lib/libblkid.so.1.0
lib/libpthread.so.0
lib/mptscsih.ko
lib/sd_mod.ko
lib/ohci-hcd.ko
lib/libuuid.so.1
lib/scsi_transport_spi.ko
lib/mbcache.ko
lib/libc.so.6.1
lib/libselinux.so.1
lib/mptspi.ko
lib/ld-linux-ia64.so.2
lib/ld-lsb-ia64.so.3.1
sbin
etc
etc/ld.so.cache
etc/ld.so.conf.d
etc/ld.so.conf.d/mysql-ia64.conf
etc/ld.so.conf.d/mysqlclient14-ia64.conf
etc/ld.so.conf.d/mysqlclient10-ia64.conf
etc/ld.so.conf.d/qt-ia64.conf
etc/ld.so.conf
bin
bin/insmod
bin/modprobe
bin/nash
29959 blocks


[root@integrity redhat]# zcat initrd-2.6.18-1.2849.fc6.img | cpio -t
proc
sysroot
sys
dev
dev/rtc
dev/tty11
dev/tty1
dev/tty6
dev/ttyS3
dev/tty2
dev/tty5
dev/tty
dev/tty12
dev/tty3
dev/zero
dev/tty8
dev/ptmx
dev/ttyS1
dev/tty7
dev/ram0
dev/ram
dev/efirtc
dev/tty0
dev/tty10
dev/systty
dev/ttyS0
dev/ram1
dev/console
dev/mapper
dev/ttyS2
dev/tty4
dev/null
dev/tty9
init
lib
lib/scsi_mod.ko
lib/ehci-hcd.ko
lib/sym53c8xx.ko
lib/uhci-hcd.ko
lib/jbd.ko
lib/ext3.ko
lib/mptbase.ko
lib/mptscsih.ko
lib/sd_mod.ko
lib/ohci-hcd.ko
lib/scsi_transport_spi.ko
lib/mptspi.ko
sbin
etc
bin
bin/insmod
bin/modprobe
bin/nash
17907 blocks
Comment 1 Fabio Bettoni 2006-12-19 11:00:28 EST
Also with 2.6.19-1.2885.fc7 does not work. Complete bootlog attached.

ELILO boot:
Uncompressing Linux... done
Loading file initrd-2.6.19-1.2885.fc7.img...done
Linux version 2.6.19-1.2885.fc7 (brewbuilder@hitachi-1.build.redhat.com) (gcc 
version 4.1.1 20061213 (Red Hat 4.1.1-47)) #1 SMP Mon Dec 18 07:44:24 EST 2006
EFI v1.10 by HP: SALsystab=0x3e528000 ACPI 2.0=0x3fe22000 SMBIOS=0x3e52a000 
HCDP=0x3fe20000
booting generic kernel on platform hpzx1
PCDP: v3 at 0x3fe20000
Early serial console at MMIO 0x84053000 (options '9600n8')
Initial ramdisk at: 0xe0000040feb55000 (4451229 bytes)
SAL 3.1: HP version 4.10
SAL Platform features: None
SAL: AP wakeup using external interrupt vector 0xff
No logical to physical processor mapping available
ACPI: Local APIC address c0000000fee00000
GSI 20 (level, low) -> CPU 0 (0x0000) vector 48
2 CPUs available, 2 CPUs total
MCA related initialization done
Zone PFN ranges:
  DMA          1025 ->   262144
  Normal     262144 -> 17039360
early_node_map[9] active PFN ranges
    0:     1025 ->     4096
    0:     5026 ->    63433
    0:    63631 ->    63818
    0:    65280 ->    65416
    0: 16842752 -> 17038035
    0: 17038309 -> 17038335
    0: 17038336 -> 17039094
    0: 17039135 -> 17039232
    0: 17039264 -> 17039352
SMP: Allowing 2 CPUs, 0 hotplug CPUs
Built 1 zonelists.  Total pages: 191499
Kernel command line: BOOT_IMAGE=scsi0:\EFI\redhat\vmlinuz-2.6.19-1.2885.fc7  
root=LABEL=/1 ro
PID hash table entries: 4096 (order: 12, 32768 bytes)
Console: colour VGA+ 80x25
Memory: 3979840k/4128848k available (5878k code, 168272k reserved, 5613k data, 
1888k init)
McKinley Errata 9 workaround not needed; disabling it
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Dentry cache hash table entries: 524288 (order: 8, 4194304 bytes)
Inode-cache hash table entries: 262144 (order: 7, 2097152 bytes)
Mount-cache hash table entries: 1024
ACPI: Core revision 20060707
Boot processor id 0x0/0x0
Fixed BSP b0 value from CPU 1
CPU 1: synchronized ITC with CPU 0 (last diff -2 cycles, maxerr 639 cycles)
Brought up 2 CPUs
Total of 2 processors activated (4784.12 BogoMIPS).
migration_cost=6192
DMI 2.3 present.
NET: Registered protocol family 16
ACPI: bus type pci registered
ACPI: Interpreter enabled
ACPI: Using IOSAPIC for interrupt routing
ACPI: PCI Root Bridge [L000] (0000:00)
ACPI: PCI Root Bridge [L001] (0000:20)
ACPI: PCI Root Bridge [L002] (0000:40)
ACPI: PCI Root Bridge [L004] (0000:80)
ACPI: PCI Root Bridge [L005] (0000:a0)
ACPI: PCI Root Bridge [L006] (0000:c0)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 8 devices
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
IOC: zx1 2.3 HPA 0xfed01000 IOVA space 1024Mb at 0x40000000
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
NET: Registered protocol family 2
IP route cache hash table entries: 131072 (order: 6, 1048576 bytes)
TCP established hash table entries: 524288 (order: 10, 16777216 bytes)
TCP bind hash table entries: 65536 (order: 7, 2097152 bytes)
TCP: Hash tables configured (established 524288 bind 65536)
TCP reno registered
checking if image is initramfs... it is
Freeing initrd memory: 4320kB freed
perfmon: version 2.0 IRQ 238
perfmon: Itanium 2 PMU detected, 16 PMCs, 18 PMDs, 4 counters (47 bits)
PAL Information Facility v0.5
perfmon: added sampling format default_format
perfmon_default_smpl: default_format v2.0 registered
audit: initializing netlink socket (disabled)
audit(1166543801.228:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 2048 (order 0, 16384 bytes)
SELinux:  Registering netfilter hooks
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Thermal Zone [THM0] (27 C)
mspec 4.0 initialized devices:  Cached, Uncached
EFI Time Services Driver v0.4
Linux agpgart interface v0.101 (c) Dave Jones
Serial: 8250/16550 driver $Revision: 1.90 $ 16 ports, IRQ sharing enabled
GSI 16 (level, low) -> CPU 1 (0x0100) vector 49
ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 49
0000:00:01.0: ttyS0 at MMIO 0x84054000 (irq = 49) is a 16450
ACPI: PCI Interrupt 0000:00:01.1[A] -> GSI 16 (level, low) -> IRQ 49
0000:00:01.1: ttyS1 at MMIO 0x84053000 (irq = 49) is a 16550A
0000:00:01.1: ttyS2 at MMIO 0x84053010 (irq = 49) is a 16550A
0000:00:01.1: ttyS3 at MMIO 0x84053038 (irq = 49) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
usbcore: registered new interface driver libusual
mice: PS/2 mouse device common for all mice
EFI Variables Facility v0.08 2004-May-17
TCP bic registered
Initializing XFRM netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Adding console on ttyS1 at MMIO 0x84053000 (options '9600n8')
Freeing unused kernel memory: 1888kB freed
Red Hat nash version 6.0.5 starting
Mounting proc filesystem
Mounting sysfs filesystem
Creating /dev
Creating initial device nodes
Setting up hotplug.
Creating block device nodes.
Loading uhci-hcd.ko module
USB Universal Host Controller Interface driver v3.0
Loading ohci-hcd.ko module
GSI 17 (level, low) -> CPU 0 (0x0000) vector 50
ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 17 (level, low) -> IRQ 50
ohci_hcd 0000:00:02.0: OHCI Host Controller
ohci_hcd 0000:00:02.0: new USB bus registered, assigned bus number 1
ohci_hcd 0000:00:02.0: irq 50, io mem 0x84052000
usb usb1: configuration #1 chosen from 1 choice
GSI 18 (level, low) -> CPU 1 (0x0100) vector 51
ACPI: PCI Interrupt 0000:00:02.1[B] -> GSI 18 (level, low) -> IRQ 51
ohci_hcd 0000:00:02.1: OHCI Host Controller
ohci_hcd 0000:00:02.1: new USB bus registered, assigned bus number 2
ohci_hcd 0000:00:02.1: irq 51, io mem 0x84051000
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 3 ports detected
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
Loading ehci-hcd.ko module
GSI 23 (level, low) -> CPU 0 (0x0000) vector 52
ACPI: PCI Interrupt 0000:00:02.2[C] -> GSI 23 (level, low) -> IRQ 52
ehci_hcd 0000:00:02.2: EHCI Host Controller
ehci_hcd 0000:00:02.2: new USB bus registered, assigned bus number 3
ehci_hcd 0000:00:02.2: irq 52, io mem 0x84050000
ehci_hcd 0000:00:02.2: USB 2.0 started, EHCI 0.95, driver 10 Dec 2004
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 5 ports detected
Loading mbcache.ko module
Loading jbd.ko module
Loading ext3.ko module
Loading scsi_mod.ko module
SCSI subsystem initialized
Loading sd_mod.ko module
Loading scsi_transport_spi.ko module
Loading mptbase.ko module
Fusion MPT base driver 3.04.02
Copyright (c) 1999-2005 LSI Logic Corporation
Loading mptscsih.ko module
Loading mptspi.ko module
Fusion MPT SPI Host driver 3.04.02
GSI 27 (level, low) -> CPU 1 (0x0100) vector 53
ACPI: PCI Interrupt 0000:20:01.0[A] -> GSI 27 (level, low) -> IRQ 53
mptbase: Initiating ioc0 bringup
ioc0: 53C1030: Capabilities={Initiator,Target}
scsi0 : ioc0: LSI53C1030, FwRev=01032341h, Ports=1, MaxQ=255, IRQ=53
usb 2-1: new low speed USB device using ohci_hcd and address 2
usb 2-1: configuration #1 chosen from 1 choice
GSI 28 (level, low) -> CPU 0 (0x0000) vector 54
ACPI: PCI Interrupt 0000:20:01.1[B] -> GSI 28 (level, low) -> IRQ 54
mptbase: Initiating ioc1 bringup
ioc1: 53C1030: Capabilities={Initiator,Target}
scsi1 : ioc1: LSI53C1030, FwRev=01032341h, Ports=1, MaxQ=255, IRQ=54
scsi 0:0:1:0: Direct-Access     HP 73.4G MAS3735NC        HPC3 PQ: 0 ANSI: 3
 target0:0:1: Beginning Domain Validation
 target0:0:1: Ending Domain Validation
 target0:0:1: FAST-160 WIDE SCSI 320.0 MB/s DT IU QAS RTI PCOMP (6.25 ns, 
offset 127)
Loading sym53c8xx.ko module
scsi 1:0:0:0: Direct-Access     HP 73.4G MAS3735NC        HPC3 PQ: 0 ANSI: 3
 target1:0:0: Beginning Domain Validation
GSI 71 (level, low) -> CPU 1 (0x0100) vector 55
ACPI: PCI Interrupt 0000:c0:01.0[A] -> GSI 71 (level, low) -> IRQ 55
 target1:0:0: Ending Domain Validation
 target1:0:0: FAST-160 WIDE SCSI 320.0 MB/s DT IU QAS RTI PCOMP (6.25 ns, 
offset 127)
sym0: <1010-66> rev 0x1 at pci 0000:c0:01.0 irq 55
sym0: Symbios NVRAM, ID 7, Fast-80, LVD, parity checking
sym0: open drain IRQ line driver, using on-chip SRAM
sym0: using LOAD/STORE-based firmware.
sym0: handling phase mismatch from SCRIPTS.
sym0: SCSI BUS has been reset.
scsi2 : sym-2.2.3
Creating root device.
Mounting root filesystem.
mount: could not find filesystem '/dev/root'
Setting up other filesystems.
Setting up new root fs
setuproot: moving /dev failed: No such file or directory
no fstab.sys, mounting internal defaults
setuproot: error mouKernel panic - not syncing: Attempted to kill init!
nting /proc: No such file or directory
setuproot: error mountin g /sys: No such file or directory
Switching to new root and running init.
unmounting old /dev
unmounting old /proc
unmounting old /sys
switchroot: mount failed: No such file or directory
Comment 2 Fabio Bettoni 2006-12-19 11:26:14 EST
This is bootlog from last working kernel:

ELILO boot: 2.6.18-1.2849.fc6
Uncompressing Linux... done
Loading file initrd-2.6.18-1.2849.fc6.img...done
Linux version 2.6.18-1.2849.fc6 (brewbuilder@ia64-1.build.redhat.com) (gcc 
version 4.1.1 20061011 (Red Hat 4.1.1-30)) #1 SMP Fri Nov 10 12:33:52 EST 2006
EFI v1.10 by HP: SALsystab=0x3e528000 ACPI 2.0=0x3fe22000 SMBIOS=0x3e52a000 
HCDP=0x3fe20000
booting generic kernel on platform hpzx1
PCDP: v3 at 0x3fe20000
Early serial console at MMIO 0x84053000 (options '9600n8')
rsvd_region[0]: [0xe000000001000000, 0xe0000000010000c0)
rsvd_region[1]: [0xe000000004000000, 0xe000000004d57fcb)
rsvd_region[2]: [0xe0000040fed16010, 0xe0000040fed16850)
rsvd_region[3]: [0xe0000040fed18010, 0xe0000040fed18060)
rsvd_region[4]: [0xe0000040fed1bfc7, 0xe0000040fed1c010)
rsvd_region[5]: [0xe0000040fed1f000, 0xe0000040fef93e72)
rsvd_region[6]: [0xffffffffffffffff, 0xffffffffffffffff)
Initial ramdisk at: 0xe0000040fed1f000 (2575986 bytes)
SAL 3.1: HP version 4.10
SAL Platform features: None
SAL: AP wakeup using external interrupt vector 0xff
No logical to physical processor mapping available
ACPI: Local APIC address c0000000fee00000
GSI 20 (level, low) -> CPU 0 (0x0000) vector 48
2 CPUs available, 2 CPUs total
MCA related initialization done
SMP: Allowing 2 CPUs, 0 hotplug CPUs
Built 1 zonelists.  Total pages: 258243
Kernel command line: BOOT_IMAGE=scsi0:\EFI\redhat\vmlinuz-2.6.18-1.2849.fc6  
root=LABEL=/1 ro
PID hash table entries: 4096 (order: 12, 32768 bytes)
Console: colour VGA+ 80x25
Memory: 3982752k/4131888k available (6283k code, 165376k reserved, 4069k data, 
688k init)
McKinley Errata 9 workaround not needed; disabling it
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Dentry cache hash table entries: 524288 (order: 8, 4194304 bytes)
Inode-cache hash table entries: 262144 (order: 7, 2097152 bytes)
Mount-cache hash table entries: 1024
ACPI: Core revision 20060707
Boot processor id 0x0/0x0
Fixed BSP b0 value from CPU 1
CPU 1: synchronized ITC with CPU 0 (last diff -1 cycles, maxerr 655 cycles)
Brought up 2 CPUs
Total of 2 processors activated (4784.12 BogoMIPS).
migration_cost=5984
checking if image is initramfs... it is
Freeing initrd memory: 2496kB freed
DMI 2.3 present.
NET: Registered protocol family 16
ACPI: bus type pci registered
ACPI: Interpreter enabled
ACPI: Using IOSAPIC for interrupt routing
ACPI: PCI Root Bridge [L000] (0000:00)
ACPI: PCI Root Bridge [L001] (0000:20)
ACPI: PCI Root Bridge [L002] (0000:40)
ACPI: PCI Root Bridge [L004] (0000:80)
ACPI: PCI Root Bridge [L005] (0000:a0)
ACPI: PCI Root Bridge [L006] (0000:c0)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 8 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
IOC: zx1 2.3 HPA 0xfed01000 IOVA space 1024Mb at 0x40000000
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
NET: Registered protocol family 2
IP route cache hash table entries: 131072 (order: 6, 1048576 bytes)
TCP established hash table entries: 524288 (order: 10, 16777216 bytes)
TCP bind hash table entries: 65536 (order: 7, 2097152 bytes)
TCP: Hash tables configured (established 524288 bind 65536)
TCP reno registered
perfmon: version 2.0 IRQ 238
perfmon: Itanium 2 PMU detected, 16 PMCs, 18 PMDs, 4 counters (47 bits)
PAL Information Facility v0.5
perfmon: added sampling format default_format
perfmon_default_smpl: default_format v2.0 registered
audit: initializing netlink socket (disabled)
audit(1166544462.892:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 2048 (order 0, 16384 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key E847C0FBC4EC7589
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Thermal Zone [THM0] (27 C)
EFI Time Services Driver v0.4
Linux agpgart interface v0.101 (c) Dave Jones
Serial: 8250/16550 driver $Revision: 1.90 $ 16 ports, IRQ sharing enabled
GSI 16 (level, low) -> CPU 1 (0x0100) vector 49
ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 49
0000:00:01.0: ttyS0 at MMIO 0x84054000 (irq = 49) is a 16550A
ACPI: PCI Interrupt 0000:00:01.1[A] -> GSI 16 (level, low) -> IRQ 49
0000:00:01.1: ttyS1 at MMIO 0x84053000 (irq = 49) is a 16550A
0000:00:01.1: ttyS2 at MMIO 0x84053010 (irq = 49) is a 16550A
0000:00:01.1: ttyS3 at MMIO 0x84053038 (irq = 49) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
CMD649: IDE controller at PCI slot 0000:00:03.0
GSI 21 (level, low) -> CPU 0 (0x0000) vector 50
ACPI: PCI Interrupt 0000:00:03.0[A] -> GSI 21 (level, low) -> IRQ 50
CMD649: chipset revision 2
CMD649: 100% native mode on irq 50
    ide0: BM-DMA at 0x0e00-0x0e07, BIOS settings: hda:pio, hdb:pio
    ide1: BM-DMA at 0x0e08-0x0e0f, BIOS settings: hdc:pio, hdd:pio
hda: HL-DT-ST DVD+RW GCA-4040N, ATAPI CD/DVD-ROM drive
ide0 at 0xe18-0xe1f,0xe26 on irq 50
ide-floppy driver 0.99.newide
usbcore: registered new driver libusual
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 4.39
EFI Variables Facility v0.08 2004-May-17
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Adding console on ttyS1 at MMIO 0x84053000 (options '9600n8')
Freeing unused kernel memory: 688kB freed
Red Hat nash version 5.1.19 starting
Mounting proc filesystem
Mounting sysfs filesystem
Creating /dev
Creating initial device nodes
Setting up hotplug.
Creating block device nodes.
Loading uhci-hcd.ko module
USB Universal Host Controller Interface driver v3.0
Loading ohci-hcd.ko module
GSI 17 (level, low) -> CPU 1 (0x0100) vector 51
ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 17 (level, low) -> IRQ 51
ohci_hcd 0000:00:02.0: OHCI Host Controller
ohci_hcd 0000:00:02.0: new USB bus registered, assigned bus number 1
ohci_hcd 0000:00:02.0: irq 51, io mem 0x84052000
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 3 ports detected
GSI 18 (level, low) -> CPU 0 (0x0000) vector 52
ACPI: PCI Interrupt 0000:00:02.1[B] -> GSI 18 (level, low) -> IRQ 52
ohci_hcd 0000:00:02.1: OHCI Host Controller
ohci_hcd 0000:00:02.1: new USB bus registered, assigned bus number 2
ohci_hcd 0000:00:02.1: irq 52, io mem 0x84051000
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
Loading ehci-hcd.ko module
GSI 23 (level, low) -> CPU 1 (0x0100) vector 53
ACPI: PCI Interrupt 0000:00:02.2[C] -> GSI 23 (level, low) -> IRQ 53
ehci_hcd 0000:00:02.2: EHCI Host Controller
ehci_hcd 0000:00:02.2: new USB bus registered, assigned bus number 3
ehci_hcd 0000:00:02.2: irq 53, io mem 0x84050000
ehci_hcd 0000:00:02.2: USB 2.0 started, EHCI 0.95, driver 10 Dec 2004
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 5 ports detected
Loading jbd.ko module
Loading ext3.ko module
Loading scsi_mod.ko module
SCSI subsystem initialized
Loading sd_mod.ko module
Loading scsi_transport_spi.ko module
Loading mptbase.ko module
Fusion MPT base driver 3.04.01
Copyright (c) 1999-2005 LSI Logic Corporation
Loading mptscsih.ko module
Loading mptspi.ko module
Fusion MPT SPI Host driver 3.04.01
GSI 27 (level, low) -> CPU 0 (0x0000) vector 54
ACPI: PCI Interrupt 0000:20:01.0[A] -> GSI 27 (level, low) -> IRQ 54
mptbase: Initiating ioc0 bringup
ohci_hcd 0000:00:02.1: wakeup
ioc0: 53C1030: Capabilities={Initiator,Target}
scsi0 : ioc0: LSI53C1030, FwRev=01032341h, Ports=1, MaxQ=255, IRQ=54
usb 2-1: new low speed USB device using ohci_hcd and address 2
usb 2-1: configuration #1 chosen from 1 choice
input: P.I. Engineering PC Keyboard/Mouse to USB  Adapter as /class/input/input0
input: USB HID v1.00 Keyboard [P.I. Engineering PC Keyboard/Mouse to USB  
Adapter] on usb-0000:00:02.1-1
input: P.I. Engineering PC Keyboard/Mouse to USB  Adapter as /class/input/input1
input: USB HID v1.00 Mouse [P.I. Engineering PC Keyboard/Mouse to USB  Adapter] 
on usb-0000:00:02.1-1
  Vendor: HP 73.4G  Model: MAS3735NC         Rev: HPC3
  Type:   Direct-Access                      ANSI SCSI revision: 03
 target0:0:1: Beginning Domain Validation
 target0:0:1: Ending Domain Validation
 target0:0:1: FAST-160 WIDE SCSI 320.0 MB/s DT IU QAS RTI PCOMP (6.25 ns, 
offset 127)
SCSI device sda: 143374738 512-byte hdwr sectors (73408 MB)
sda: Write Protect is off
SCSI device sda: drive cache: write through w/ FUA
SCSI device sda: 143374738 512-byte hdwr sectors (73408 MB)
sda: Write Protect is off
SCSI device sda: drive cache: write through w/ FUA
 sda: sda1 sda2 sda3 sda4 sda5
sd 0:0:1:0: Attached scsi disk sda
GSI 28 (level, low) -> CPU 1 (0x0100) vector 55
ACPI: PCI Interrupt 0000:20:01.1[B] -> GSI 28 (level, low) -> IRQ 55
mptbase: Initiating ioc1 bringup
ioc1: 53C1030: Capabilities={Initiator,Target}
scsi1 : ioc1: LSI53C1030, FwRev=01032341h, Ports=1, MaxQ=255, IRQ=55
  Vendor: HP 73.4G  Model: MAS3735NC         Rev: HPC3
  Type:   Direct-Access                      ANSI SCSI revision: 03
 target1:0:0: Beginning Domain Validation
 target1:0:0: Ending Domain Validation
 target1:0:0: FAST-160 WIDE SCSI 320.0 MB/s DT IU QAS RTI PCOMP (6.25 ns, 
offset 127)
SCSI device sdb: 143374738 512-byte hdwr sectors (73408 MB)
sdb: Write Protect is off
SCSI device sdb: drive cache: write through w/ FUA
SCSI device sdb: 143374738 512-byte hdwr sectors (73408 MB)
sdb: Write Protect is off
SCSI device sdb: drive cache: write through w/ FUA
 sdb: sdb1 sdb2 sdb3 sdb4
sd 1:0:0:0: Attached scsi disk sdb
Loading sym53c8xx.ko module
GSI 71 (level, low) -> CPU 0 (0x0000) vector 56
ACPI: PCI Interrupt 0000:c0:01.0[A] -> GSI 71 (level, low) -> IRQ 56
sym0: <1010-66> rev 0x1 at pci 0000:c0:01.0 irq 56
sym0: Symbios NVRAM, ID 7, Fast-80, LVD, parity checking
sym0: open drain IRQ line driver, using on-chip SRAM
sym0: using LOAD/STORE-based firmware.
sym0: handling phase mismatch from SCRIPTS.
sym0: SCSI BUS has been reset.
scsi2 : sym-2.2.3
 target2:0:0: FAST-40 WIDE SCSI 80.0 MB/s ST (25 ns, offset 31)
  Vendor: COMPAQ    Model: BF07285A36        Rev: HPB6
  Type:   Direct-Access                      ANSI SCSI revision: 03
 target2:0:0: tagged command queuing enabled, command queue depth 16.
 target2:0:0: Beginning Domain Validation
 target2:0:0: asynchronous
 target2:0:0: wide asynchronous
 target2:0:0: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 62)
 target2:0:0: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 62)
 target2:0:0: Ending Domain Validation
SCSI device sdc: 142264000 512-byte hdwr sectors (72839 MB)
sdc: Write Protect is off
SCSI device sdc: drive cache: write through w/ FUA
SCSI device sdc: 142264000 512-byte hdwr sectors (72839 MB)
sdc: Write Protect is off
SCSI device sdc: drive cache: write through w/ FUA
 sdc: unknown partition table
sd 2:0:0:0: Attached scsi disk sdc
  Vendor: COMPAQ    Model: BF072863BA        Rev: HPB4
  Type:   Direct-Access                      ANSI SCSI revision: 03
 target2:0:1: tagged command queuing enabled, command queue depth 16.
 target2:0:1: Beginning Domain Validation
 target2:0:1: asynchronous
 target2:0:1: wide asynchronous
 target2:0:1: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target2:0:1: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target2:0:1: Ending Domain Validation
SCSI device sdd: 142264000 512-byte hdwr sectors (72839 MB)
sdd: Write Protect is off
SCSI device sdd: drive cache: write through w/ FUA
SCSI device sdd: 142264000 512-byte hdwr sectors (72839 MB)
sdd: Write Protect is off
SCSI device sdd: drive cache: write through w/ FUA
 sdd: unknown partition table
sd 2:0:1:0: Attached scsi disk sdd
  Vendor: COMPAQ    Model: BF072863BA        Rev: HPB4
  Type:   Direct-Access                      ANSI SCSI revision: 03
 target2:0:2: tagged command queuing enabled, command queue depth 16.
 target2:0:2: Beginning Domain Validation
 target2:0:2: asynchronous
 target2:0:2: wide asynchronous
 target2:0:2: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target2:0:2: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target2:0:2: Ending Domain Validation
SCSI device sde: 142264000 512-byte hdwr sectors (72839 MB)
sde: Write Protect is off
SCSI device sde: drive cache: write through w/ FUA
SCSI device sde: 142264000 512-byte hdwr sectors (72839 MB)
sde: Write Protect is off
SCSI device sde: drive cache: write through w/ FUA
 sde: unknown partition table
sd 2:0:2:0: Attached scsi disk sde
  Vendor: COMPAQ    Model: BF072863BA        Rev: HPB4
  Type:   Direct-Access                      ANSI SCSI revision: 03
 target2:0:3: tagged command queuing enabled, command queue depth 16.
 target2:0:3: Beginning Domain Validation
 target2:0:3: asynchronous
 target2:0:3: wide asynchronous
 target2:0:3: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target2:0:3: FAST-80 WIDE SCSI 160.0 MB/s DT (12.5 ns, offset 31)
 target2:0:3: Ending Domain Validation
SCSI device sdf: 142264000 512-byte hdwr sectors (72839 MB)
sdf: Write Protect is off
SCSI device sdf: drive cache: write through w/ FUA
SCSI device sdf: 142264000 512-byte hdwr sectors (72839 MB)
sdf: Write Protect is off
SCSI device sdf: drive cache: write through w/ FUA
 sdf: unknown partition table
sd 2:0:3:0: Attached scsi disk sdf
  Vendor: COMPAQ    Model: PROLIANT 7L7E*DB  Rev: 2.30
  Type:   Processor                          ANSI SCSI revision: 02
 target2:0:15: Beginning Domain Validation
scsi 2:0:15:0: phase change 6-7 6@4008cfa0 resid=4.
 target2:0:15: asynchronous
 target2:0:15: Ending Domain Validation
Creating root device.
Mounting root filesystem.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Setting up other filesystems.
Setting up new root fs
no fstab.sys, mounting internal defaults
Switching to new root and running init.
unmounting old /dev
unmounting old /proc
unmounting old /sys
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
audit(1166544488.615:2): selinux=0 auid=4294967295
INIT: version 2.86 booting
                Welcome to Fedora Core
                Press 'I' to enter interactive startup.


and this is modprobe.conf:
alias eth1 e1000
alias eth0 e1000
alias scsi_hostadapter mptbase
alias scsi_hostadapter1 mptscsih
alias scsi_hostadapter1 mptspi
alias scsi_hostadapter2 sym53c8xx
install mptscsih /sbin/modprobe --ignore-install mptscsih
install mptspi /sbin/modprobe --ignore-install mptspi
alias usb-controller ohci-hcd
alias usb-controller1 ehci-hcd
alias bond0 bonding
options bonding mode=1 miimon=100

Comment 3 Prarit Bhargava 2007-01-22 11:31:12 EST
Fabio,

There has been some upstream work that has fixed this issue. Could you try again
with the latest & greatest rawhide?

P.
Comment 4 Fabio Bettoni 2007-01-23 05:20:24 EST
It's not booting.


ELILO boot:
Uncompressing Linux... done
Loading file initrd-2.6.19-1.2912.fc7.img...done
Linux version 2.6.19-1.2912.fc7 (brewbuilder@ia64-2.build.redhat.com) (gcc 
version 4.1.1 20070105 (Red Hat 4.1.1-53)) #1 SMP Sun Jan 14 19:53:39 EST 2007
EFI v1.10 by HP: SALsystab=0x3e528000 ACPI 2.0=0x3fe22000 SMBIOS=0x3e52a000 
HCDP=0x3fe20000
booting generic kernel on platform hpzx1
PCDP: v3 at 0x3fe20000
Early serial console at MMIO 0x84053000 (options '9600n8')
Initial ramdisk at: 0xe0000040feb6b000 (4367199 bytes)
SAL 3.1: HP version 4.10
SAL Platform features: None
SAL: AP wakeup using external interrupt vector 0xff
No logical to physical processor mapping available
ACPI: Local APIC address c0000000fee00000
GSI 20 (level, low) -> CPU 0 (0x0000) vector 48
2 CPUs available, 2 CPUs total
MCA related initialization done
Zone PFN ranges:
  DMA          1025 ->   262144
  Normal     262144 -> 17039360
early_node_map[9] active PFN ranges
    0:     1025 ->     4096
    0:     5036 ->    63433
    0:    63631 ->    63818
    0:    65280 ->    65416
    0: 16842752 -> 17038040
    0: 17038310 -> 17038335
    0: 17038336 -> 17039094
    0: 17039135 -> 17039232
    0: 17039264 -> 17039352
SMP: Allowing 2 CPUs, 0 hotplug CPUs
Built 1 zonelists.  Total pages: 191493
Kernel command line: BOOT_IMAGE=scsi0:\EFI\redhat\vmlinuz-2.6.19-1.2912.fc7  
root=LABEL=/1 ro
PID hash table entries: 4096 (order: 12, 32768 bytes)
Console: colour VGA+ 80x25
Memory: 3979744k/4128752k available (6015k code, 168368k reserved, 5609k data, 
1888k init)
McKinley Errata 9 workaround not needed; disabling it
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Dentry cache hash table entries: 524288 (order: 8, 4194304 bytes)
Inode-cache hash table entries: 262144 (order: 7, 2097152 bytes)
Mount-cache hash table entries: 1024
ACPI: Core revision 20060707
Boot processor id 0x0/0x0
Fixed BSP b0 value from CPU 1
CPU 1: synchronized ITC with CPU 0 (last diff -2 cycles, maxerr 639 cycles)
Brought up 2 CPUs
Total of 2 processors activated (4784.12 BogoMIPS).
migration_cost=6205
DMI 2.3 present.
NET: Registered protocol family 16
ACPI: bus type pci registered
ACPI: Interpreter enabled
ACPI: Using IOSAPIC for interrupt routing
ACPI: PCI Root Bridge [L000] (0000:00)
ACPI: PCI Root Bridge [L001] (0000:20)
ACPI: PCI Root Bridge [L002] (0000:40)
ACPI: PCI Root Bridge [L004] (0000:80)
ACPI: PCI Root Bridge [L005] (0000:a0)
ACPI: PCI Root Bridge [L006] (0000:c0)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 8 devices
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
IOC: zx1 2.3 HPA 0xfed01000 IOVA space 1024Mb at 0x40000000
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
NET: Registered protocol family 2
IP route cache hash table entries: 131072 (order: 6, 1048576 bytes)
TCP established hash table entries: 524288 (order: 10, 16777216 bytes)
TCP bind hash table entries: 65536 (order: 7, 2097152 bytes)
TCP: Hash tables configured (established 524288 bind 65536)
TCP reno registered
checking if image is initramfs... it is
Freeing initrd memory: 4256kB freed
perfmon: version 2.0 IRQ 238
perfmon: Itanium 2 PMU detected, 16 PMCs, 18 PMDs, 4 counters (47 bits)
PAL Information Facility v0.5
perfmon: added sampling format default_format
perfmon_default_smpl: default_format v2.0 registered
audit: initializing netlink socket (disabled)
audit(1169546781.920:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 2048 (order 0, 16384 bytes)
SELinux:  Registering netfilter hooks
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Thermal Zone [THM0] (27 C)
mspec 4.0 initialized devices:  Cached, Uncached
EFI Time Services Driver v0.4
Linux agpgart interface v0.101 (c) Dave Jones
Serial: 8250/16550 driver $Revision: 1.90 $ 16 ports, IRQ sharing enabled
GSI 16 (level, low) -> CPU 1 (0x0100) vector 49
ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 49
0000:00:01.0: ttyS0 at MMIO 0x84054000 (irq = 49) is a 16550A
ACPI: PCI Interrupt 0000:00:01.1[A] -> GSI 16 (level, low) -> IRQ 49
0000:00:01.1: ttyS1 at MMIO 0x84053000 (irq = 49) is a 16550A
0000:00:01.1: ttyS2 at MMIO 0x84053010 (irq = 49) is a 16550A
0000:00:01.1: ttyS3 at MMIO 0x84053038 (irq = 49) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
usbcore: registered new interface driver libusual
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
mice: PS/2 mouse device common for all mice
EFI Variables Facility v0.08 2004-May-17
TCP bic registered
Initializing XFRM netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Adding console on ttyS1 at MMIO 0x84053000 (options '9600n8')
Freeing unused kernel memory: 1888kB freed
Red Hat nash version 6.0.6 starting
Mounting proc filesystem
Mounting sysfs filesystem
Creating /dev
Creating initial device nodes
Setting up hotplug.
Creating block device nodes.
Loading uhci-hcd.ko module
USB Universal Host Controller Interface driver v3.0
Loading ohci-hcd.ko module
GSI 17 (level, low) -> CPU 0 (0x0000) vector 50
ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 17 (level, low) -> IRQ 50
ohci_hcd 0000:00:02.0: OHCI Host Controller
ohci_hcd 0000:00:02.0: new USB bus registered, assigned bus number 1
ohci_hcd 0000:00:02.0: irq 50, io mem 0x84052000
GSI 18 (level, low) -> CPU 1 (0x0100) vector 51
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 3 ports detected
ACPI: PCI Interrupt 0000:00:02.1[B] -> GSI 18 (level, low) -> IRQ 51
ohci_hcd 0000:00:02.1: OHCI Host Controller
ohci_hcd 0000:00:02.1: new USB bus registered, assigned bus number 2
ohci_hcd 0000:00:02.1: irq 51, io mem 0x84051000
Loading ehci-hcd.ko module
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
GSI 23 (level, low) -> CPU 0 (0x0000) vector 52
ACPI: PCI Interrupt 0000:00:02.2[C] -> GSI 23 (level, low) -> IRQ 52
ehci_hcd 0000:00:02.2: EHCI Host Controller
ehci_hcd 0000:00:02.2: new USB bus registered, assigned bus number 3
ehci_hcd 0000:00:02.2: irq 52, io mem 0x84050000
ehci_hcd 0000:00:02.2: USB 2.0 started, EHCI 0.95, driver 10 Dec 2004
Loading mbcache.ko module
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 5 ports detected
Loading jbd.ko module
Loading ext3.ko module
Loading scsi_mod.ko module
SCSI subsystem initialized
Loading sd_mod.ko module
Loading scsi_transport_spi.ko module
Loading mptbase.ko module
Fusion MPT base driver 3.04.02
Copyright (c) 1999-2005 LSI Logic Corporation
Loading mptscsih.ko module
Loading mptspi.ko module
Fusion MPT SPI Host driver 3.04.02
GSI 27 (level, low) -> CPU 1 (0x0100) vector 53
ACPI: PCI Interrupt 0000:20:01.0[A] -> GSI 27 (level, low) -> IRQ 53
mptbase: Initiating ioc0 bringup
ioc0: 53C1030: Capabilities={Initiator,Target}
scsi0 : ioc0: LSI53C1030, FwRev=01032341h, Ports=1, MaxQ=255, IRQ=53
usb 2-1: new low speed USB device using ohci_hcd and address 2
usb 2-1: configuration #1 chosen from 1 choice
input: P.I. Engineering PC Keyboard/Mouse to USB  Adapter as /class/input/input0
input: USB HID v1.00 Keyboard [P.I. Engineering PC Keyboard/Mouse to USB  
Adapter] on usb-0000:00:02.1-1
input: P.I. Engineering PC Keyboard/Mouse to USB  Adapter as /class/input/input1
input: USB HID v1.00 Mouse [P.I. Engineering PC Keyboard/Mouse to USB  Adapter] 
on usb-0000:00:02.1-1
GSI 28 (level, low) -> CPU 0 (0x0000) vector 54
ACPI: PCI Interrupt 0000:20:01.1[B] -> GSI 28 (level, low) -> IRQ 54
mptbase: Initiating ioc1 bringup
ioc1: 53C1030: Capabilities={Initiator,Target}
scsi1 : ioc1: LSI53C1030, FwRev=01032341h, Ports=1, MaxQ=255, IRQ=54
scsi 0:0:1:0: Direct-Access     HP 73.4G MAS3735NC        HPC3 PQ: 0 ANSI: 3
 target0:0:1: Beginning Domain Validation
 target0:0:1: Ending Domain Validation
 target0:0:1: FAST-160 WIDE SCSI 320.0 MB/s DT IU QAS RTI PCOMP (6.25 ns, 
offset 127)
Loading sym53c8xx.ko module
scsi 1:0:0:0: Direct-Access     HP 73.4G MAS3735NC        HPC3 PQ: 0 ANSI: 3
 target1:0:0: Beginning Domain Validation
 target1:0:0: Ending Domain Validation
 target1:0:0: FAST-160 WIDE SCSI 320.0 MB/s DT IU QAS RTI PCOMP (6.25 ns, 
offset 127)
GSI 71 (level, low) -> CPU 1 (0x0100) vector 55
ACPI: PCI Interrupt 0000:c0:01.0[A] -> GSI 71 (level, low) -> IRQ 55
sym0: <1010-66> rev 0x1 at pci 0000:c0:01.0 irq 55
sym0: Symbios NVRAM, ID 7, Fast-80, LVD, parity checking
sym0: open drain IRQ line driver, using on-chip SRAM
sym0: using LOAD/STORE-based firmware.
sym0: handling phase mismatch from SCRIPTS.
sym0: SCSI BUS has been reset.
scsi2 : sym-2.2.3
Creating root device.
Mounting root filesystem.
mount: could not find filesystem '/dev/root'
Setting up other filesystems.
Setting up new root fs
setuproot: moving /dev failed: No such file or directory
no fstab.sys, mounting internal defaults
setuproot: error mounting /proc: No such file or directory
setuproot: error mounting /sys: No such file or directory
Switching to new root and running init.
Kernel panic - not syncing: Attempted to kill init!
unmounting old /dev
unmounting old /proc
unmounting old /sys
 switchroot: mount failed: No such file or directory
Comment 5 Prarit Bhargava 2007-01-23 07:24:29 EST
Fabio, what type of HP system is this?

Thanks,

P.
Comment 6 Fabio Bettoni 2007-01-23 07:53:39 EST
rx4640
Comment 7 Prarit Bhargava 2007-01-23 08:57:55 EST
dchapman, do we have one of these in Westford?

P.
Comment 8 Doug Chapman 2007-01-23 09:19:54 EST
Prarit,

We have a couple of these (duablo and diablo2).  However, this looks like the
same problem you filed against rawhide several weeks ago about not being able to
mount SCSI drives (don't have the BZ # handy).  Also there was that other BZ
someone mentioned on the fedora-ia64 list (originally filed under PPC) which I
think was actually the same issue.  So, based on the fact that it now works on
your rx2620 hopefully this is fixed.

I am swamped with RHEL5 testing right now but I will see if I can run a quick
install test on my rx4640 today.
Comment 9 Prarit Bhargava 2007-01-23 09:31:41 EST
dchapman,

I'll reserve diablo2 and install Fedora and see if this works ...

P.
Comment 10 Doug Chapman 2007-01-23 13:39:00 EST
Fabio,

I had seen this same thing in the past with both the Fedora/rawhide kernels as
well as with the upstream kernels.  Appears that the fix was made upstream and
just now made it into the rawhide tree.

I was able to install and boot the build dated 20070122 with kernel version
2.6.19-1.2912.fc7 on my rx4640.

I will leave this open for now so you can confirm it works OK on your system.
Comment 11 Fabio Bettoni 2007-01-24 05:21:27 EST
Hi Doug,

As you can see from my last log I already tried kernel-2.6.19-1.2912.fc7 and it 
does not work. You talk about build dated 20070122. Does it means there are 
more than one kernel-2.6.19-1.2912.fc7 ?

Fabio
Comment 12 Prarit Bhargava 2007-01-24 07:14:53 EST
>As you can see from my last log I already tried kernel-2.6.19-1.2912.fc7 and it 
does not work. You talk about build dated 20070122. Does it means there are 
more than one kernel-2.6.19-1.2912.fc7 ?

No there is only one build 2912.  Fabio, it just occurred to me that you are
only updating the kernel and not the whole distro?

P.
Comment 13 Fabio Bettoni 2007-01-24 08:00:27 EST
I update everything with yum -y update
Comment 14 Doug Chapman 2007-01-24 09:25:44 EST
Fabio,

Sincere apologies!  Sorry I had not looked more closely at what kernel you were
using.  I looked more closely at your boot log this time.  The only difference I
can tell between what you did and what I did is you have the filesystem directly
on a partition while I was using LVM.  This might be an issue with finding a
filesystem by the label.

Can you try modifying your elilo.conf so you boot with root=/dev/sda2? (or
whatever partition you used as your root when you installed)

I am pretty much tied up with RHEL5 testing right now (as is all of my hardware)
but if I find a few spare cycles I will try installing without LVM to see if I
can reproduce the issue you are seeing.
Comment 15 Fabio Bettoni 2007-01-24 10:14:11 EST
I changed /etc/fstab from
LABEL=/1                /                       ext3    defaults        1 1
to 
/dev/sdb4               /                       ext3    defaults        1 1

installed kernel-2.6.19-1.2913.fc7

automatically /boot/efi/efi/redhat/elilo.conf contains:
prompt
timeout=50
read-only
default=2.6.19-1.2913.fc7
relocatable

image=vmlinuz-2.6.19-1.2913.fc7
      label=2.6.19-1.2913.fc7
      initrd=initrd-2.6.19-1.2913.fc7.img
        append="root=/dev/sdb4"
image=vmlinuz-2.6.18-1.2849.fc6
      label=2.6.18-1.2849.fc6
      initrd=initrd-2.6.18-1.2849.fc6.img
        append="root=LABEL=/1"

rebooted and it does not work yet.

Loading mbcache.ko module
Loading jbd.ko module
Loading ext3.ko module
Loading scsi_mod.ko module
SCSI subsystem initialized
Loading sd_mod.ko module
Loading scsi_transport_spi.ko module
Loading mptbase.ko module
Fusion MPT base driver 3.04.02
Copyright (c) 1999-2005 LSI Logic Corporation
Loading mptscsih.ko module
Loading mptspi.ko module
Fusion MPT SPI Host driver 3.04.02
GSI 27 (level, low) -> CPU 1 (0x0100) vector 53
ACPI: PCI Interrupt 0000:20:01.0[A] -> GSI 27 (level, low) -> IRQ 53
mptbase: Initiating ioc0 bringup
ioc0: 53C1030: Capabilities={Initiator,Target}
scsi0 : ioc0: LSI53C1030, FwRev=01032341h, Ports=1, MaxQ=255, IRQ=53
usb 2-1: new low speed USB device using ohci_hcd and address 2
usb 2-1: configuration #1 chosen from 1 choice
input: P.I. Engineering PC Keyboard/Mouse to USB  Adapter as /class/input/input0
input: USB HID v1.00 Keyboard [P.I. Engineering PC Keyboard/Mouse to USB  
Adapter] on usb-0000:00:02.1-1
input: P.I. Engineering PC Keyboard/Mouse to USB  Adapter as /class/input/input1
input: USB HID v1.00 Mouse [P.I. Engineering PC Keyboard/Mouse to USB  Adapter] 
on usb-0000:00:02.1-1
GSI 28 (level, low) -> CPU 0 (0x0000) vector 54
ACPI: PCI Interrupt 0000:20:01.1[B] -> GSI 28 (level, low) -> IRQ 54
mptbase: Initiating ioc1 bringup
ioc1: 53C1030: Capabilities={Initiator,Target}
scsi1 : ioc1: LSI53C1030, FwRev=01032341h, Ports=1, MaxQ=255, IRQ=54
scsi 0:0:1:0: Direct-Access     HP 73.4G MAS3735NC        HPC3 PQ: 0 ANSI: 3
 target0:0:1: Beginning Domain Validation
 target0:0:1: Ending Domain Validation
 target0:0:1: FAST-160 WIDE SCSI 320.0 MB/s DT IU QAS RTI PCOMP (6.25 ns, 
offset 127)
Loading sym53c8xx.ko module
scsi 1:0:0:0: Direct-Access     HP 73.4G MAS3735NC        HPC3 PQ: 0 ANSI: 3
 target1:0:0: Beginning Domain Validation
 target1:0:0: Ending Domain Validation
 target1:0:0: FAST-160 WIDE SCSI 320.0 MB/s DT IU QAS RTI PCOMP (6.25 ns, 
offset 127)
GSI 71 (level, low) -> CPU 1 (0x0100) vector 55
ACPI: PCI Interrupt 0000:c0:01.0[A] -> GSI 71 (level, low) -> IRQ 55
sym0: <1010-66> rev 0x1 at pci 0000:c0:01.0 irq 55
sym0: Symbios NVRAM, ID 7, Fast-80, LVD, parity checking
sym0: open drain IRQ line driver, using on-chip SRAM
sym0: using LOAD/STORE-based firmware.
sym0: handling phase mismatch from SCRIPTS.
sym0: SCSI BUS has been reset.
scsi2 : sym-2.2.3
Creating root device.
Mounting root filesystem.
mount: could not find filesystem '/dev/root'
Setting up other filesystems.
Setting up new root fs
setuproot: moving /dev failed: No such file or directory
no fstab.sys, mounting internal defaults
setuproot: error mounting /proc: No such filKernel panic - not syncing: 
Attempted to kill init!
e or directory
setuproot: error mounting /sys: No such file or  directory
Switching to new root and running init.
unmounting old /dev
unmounting old /proc
unmounting old /sys
switchroot: mount failed: No such file or directory




If I look at init inside initrd-2.6.18-1.2849.fc6.img it contains
#!/bin/nash

mount -t proc /proc /proc
setquiet
echo Mounting proc filesystem
echo Mounting sysfs filesystem
mount -t sysfs /sys /sys
echo Creating /dev
mount -o mode=0755 -t tmpfs /dev /dev
mkdir /dev/pts
mount -t devpts -o gid=5,mode=620 /dev/pts /dev/pts
mkdir /dev/shm
mkdir /dev/mapper
echo Creating initial device nodes
mknod /dev/null c 1 3
mknod /dev/zero c 1 5
mknod /dev/systty c 4 0
mknod /dev/tty c 5 0
mknod /dev/console c 5 1
mknod /dev/ptmx c 5 2
mknod /dev/rtc c 10 135
mknod /dev/efirtc c 10 136
mknod /dev/tty0 c 4 0
mknod /dev/tty1 c 4 1
mknod /dev/tty2 c 4 2
mknod /dev/tty3 c 4 3
mknod /dev/tty4 c 4 4
mknod /dev/tty5 c 4 5
mknod /dev/tty6 c 4 6
mknod /dev/tty7 c 4 7
mknod /dev/tty8 c 4 8
mknod /dev/tty9 c 4 9
mknod /dev/tty10 c 4 10
mknod /dev/tty11 c 4 11
mknod /dev/tty12 c 4 12
mknod /dev/ttyS0 c 4 64
mknod /dev/ttyS1 c 4 65
mknod /dev/ttyS2 c 4 66
mknod /dev/ttyS3 c 4 67
echo Setting up hotplug.
hotplug
echo Creating block device nodes.
mkblkdevs
echo "Loading uhci-hcd.ko module"
insmod /lib/uhci-hcd.ko
echo "Loading ohci-hcd.ko module"
insmod /lib/ohci-hcd.ko
echo "Loading ehci-hcd.ko module"
insmod /lib/ehci-hcd.ko
mount -t usbfs /proc/bus/usb /proc/bus/usb
echo "Loading jbd.ko module"
insmod /lib/jbd.ko
echo "Loading ext3.ko module"
insmod /lib/ext3.ko
echo "Loading scsi_mod.ko module"
insmod /lib/scsi_mod.ko
echo "Loading sd_mod.ko module"
insmod /lib/sd_mod.ko
echo "Loading scsi_transport_spi.ko module"
insmod /lib/scsi_transport_spi.ko
echo "Loading mptbase.ko module"
insmod /lib/mptbase.ko
echo "Loading mptscsih.ko module"
insmod /lib/mptscsih.ko
echo "Loading mptspi.ko module"
insmod /lib/mptspi.ko
echo "Loading sym53c8xx.ko module"
insmod /lib/sym53c8xx.ko
mkblkdevs
resume /dev/sda3
echo Creating root device.
mkrootdev -t ext3 -o defaults,ro sdb4
echo Mounting root filesystem.
mount /sysroot
echo Setting up other filesystems.
setuproot
echo Switching to new root and running init.
switchroot


If i look at init inside at new kernel mkrootdev changes to:
mkrootdev -t ext3 -o defaults,ro /dev/sdb4
Comment 16 Prarit Bhargava 2007-01-25 10:56:23 EST
Fabio,

Could you try doing an install (not an update)?

P.
Comment 17 Fabio Bettoni 2007-01-26 03:28:17 EST
It does not work too.

[root@integrity ~]# yum install kernel
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package kernel.ia64 0:2.6.19-1.2913.fc7 set to be installed
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 kernel                  ia64       2.6.19-1.2913.fc7  development        32 M

Transaction Summary
=============================================================================
Install      1 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 32 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: kernel                       ######################### [1/1]

Installed: kernel.ia64 0:2.6.19-1.2913.fc7
Complete!
Comment 18 Prarit Bhargava 2007-01-26 07:11:43 EST
Er .... :)

I meant, could you try doing a fresh system install ;)

P.
Comment 19 Fabio Bettoni 2007-01-26 07:44:49 EST
NOOOOOOOOOOOO. pleeeease.

Why should it change ?

Can I have modprobe.conf from your rx4640 installation ? I think it should be 
mpt/scsi drivers issues I had during the past.

Fabio
Comment 20 Prarit Bhargava 2007-01-26 09:16:11 EST
Fabio, Fedora does a "best effort" with yum upgrades.  It is not guaranteed to
work.  

Having said that, there clearly is some other package update required before
updating the kernel.

Try the following:

yum update mkinitrd
yum update kernel

P.
Comment 21 Fabio Bettoni 2007-01-26 09:23:26 EST
Hi Prarit,

they are already updated to latest version:
mkinitrd-6.0.6-2
nash-6.0.6-2
module-init-tools-3.3-0.pre3.1.6.fc7

I don't know if it does matter, I opened some time ago bug #203696. I think 
it's something similar loading mpt and scsi drivers.

Fabio
Comment 22 Prarit Bhargava 2007-01-26 09:29:13 EST
(In reply to comment #21)
> they are already updated to latest version:
> mkinitrd-6.0.6-2
> nash-6.0.6-2
> module-init-tools-3.3-0.pre3.1.6.fc7
> 
> I don't know if it does matter, I opened some time ago bug #203696. I think 
> it's something similar loading mpt and scsi drivers.
> 

I think that's a side effect of the missing dependency, and not the root cause.

AFAICT, a fresh install doesn't have this problem.

P.
Comment 23 Fabio Bettoni 2007-01-26 09:45:01 EST
It's hard for me to do a fresh install.

I will try to compile a vanilla kernel by myself.

Meanwhile is not possible to have an initrd from you to match with mine ?

Fabio
Comment 24 Doug Chapman 2007-01-26 10:24:17 EST
(In reply to comment #23)
> It's hard for me to do a fresh install.
> 
> I will try to compile a vanilla kernel by myself.
> 
> Meanwhile is not possible to have an initrd from you to match with mine ?
> 
> Fabio

I can probably do an other rawhide install on my rxs4640 sometime today and I
will attach the initrd.img and modprobe.conf here.

- Doug
Comment 25 Fabio Bettoni 2007-01-26 10:37:15 EST
I think you could also send to me from your existing RHEL. It's only to match 
modprobe.conf and files inside initrd.

Also could be useful, if possible, to have kernel-xxxxx.rpm of RHEL.

Meanwhile I'm compiling 2.6.20-rc6

Fabio
Comment 26 Fabio Bettoni 2007-01-26 10:57:56 EST
It worked with vanilla 2.6.20-rc6 compiled by myself and the following 
modprobe.conf:
--------------
alias eth1 e1000
alias eth0 e1000
alias scsi_hostadapter mptbase
alias scsi_hostadapter1 sym53c8xx
alias usb-controller ohci-hcd
alias usb-controller1 ehci-hcd
alias bond0 bonding
options bonding mode=1 miimon=100
--------------
I'm getting a lot of:
chunk_aligned_read : non aligned


Comment 27 Prarit Bhargava 2007-01-26 11:14:42 EST
> It worked with vanilla 2.6.20-rc6 compiled by myself and the following 

And this implies that some other package update is required before updating the
kernel (as I've said before).

P.
Comment 28 Fabio Bettoni 2007-01-26 11:23:24 EST
I don't understand you. If I can compile a working kernel vanilla kernel, it 
means all existing packages except kernel are Ok (gcc, nash, mkinitrd, 
modutils), and also config files like modprobe.conf and fstab are ok.


So I think the kernel is not correct for my system. On monday I will try to 
compile 2.6.19 vanilla kernel  and also play with fedora .config file and 
vanilla customized .config.

I think is something related to mpt,scsi,sd drivers or also to GPT partitioning 
scheme.

Fabio
Comment 29 Fabio Bettoni 2007-01-26 11:34:19 EST
MMh diffing .config file from rahide 2.6.18, 2.6.19.n and my vanilla kernel the 
only diff is CONFIG_SCSI_SCAN_ASYNC.

On 2.6.18 it was not set and worked,
On 2.6.19 it was set and is not working.
On 2.6.20-rc6 I have not set and is working.

On monday I will compile vanilla kernel setting CONFIG_SCSI_SCAN_ASYNC and I 
expect it not working.

Fabio
Comment 30 Prarit Bhargava 2007-01-26 12:00:46 EST
>On monday I will compile vanilla kernel setting CONFIG_SCSI_SCAN_ASYNC and I 
expect it not working.

I doubt that's it ... but it was worth a shot.

Recompiling with CONFIG_SCSI_SCAN_ASYNC=y had no effect.  Recompiled kernel boots.

P.
Comment 31 Prarit Bhargava 2007-01-26 13:52:06 EST
A general statement:  On all the arches I've tried (ia64, i386, x86_64) 

"yum update" fails to result in a bootable system.  

P.
Comment 32 Prarit Bhargava 2007-01-26 14:31:08 EST
It looks like selinux is hosing the mkinitrd step:

dhcp83-22.boston.redhat.com login: audit(1169839071.961:4): avc:  denied  { exec
ute_no_trans } for  pid=3662 comm="mkinitrd" name="ld-2.5.so" dev=dm-0 ino=72745
01 scontext=root:system_r:bootloader_t:s0-s0:c0.c1023 tcontext=system_u:object_r
:ld_so_t:s0 tclass=file
audit(1169839071.984:5): avc:  denied  { execute_no_trans } for  pid=3663 comm="
mkinitrd" name="ld-2.5.so" dev=dm-0 ino=7274501 scontext=root:system_r:bootloade
r_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ld_so_t:s0 tclass=file
audit(1169839071.988:6): avc:  denied  { execute_no_trans } for  pid=3664 comm="
mkinitrd" name="ld-2.5.so" dev=dm-0 ino=7274501 scontext=root:system_r:bootloade
r_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ld_so_t:s0 tclass=file
audit(1169839072.011:7): avc:  denied  { execute_no_trans } for  pid=3665 comm="
mkinitrd" name="ld-2.5.so" dev=dm-0 ino=13271057 scontext=root:system_r:bootload
er_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ld_so_t:s0 tclass=file
audit(1169839072.053:8): avc:  denied  { execute_no_trans } for  pid=3666 comm="
mkinitrd" name="ld-2.5.so" dev=dm-0 ino=13271057 scontext=root:system_r:bootload
er_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ld_so_t:s0 tclass=file
audit(1169839072.113:9): avc:  denied  { execute_no_trans } for  pid=3673 comm="
mkinitrd" name="ld-2.5.so" dev=dm-0 ino=7274501 scontext=root:system_r:bootloade
r_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ld_so_t:s0 tclass=file
audit(1169839072.136:10): avc:  denied  { execute_no_trans } for  pid=3674 comm=
"mkinitrd" name="ld-2.5.so" dev=dm-0 ino=7274501 scontext=root:system_r:bootload
er_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ld_so_t:s0 tclass=file
audit(1169839072.160:11): avc:  denied  { execute_no_trans } for  pid=3675 comm=
"mkinitrd" name="ld-2.5.so" dev=dm-0 ino=7274501 scontext=root:system_r:bootload
er_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ld_so_t:s0 tclass=file
audit(1169839072.183:12): avc:  denied  { execute_no_trans } for  pid=3676 comm=
"mkinitrd" name="ld-2.5.so" dev=dm-0 ino=13271057 scontext=root:system_r:bootloa
der_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ld_so_t:s0 tclass=file
audit(1169839072.187:13): avc:  denied  { execute_no_trans } for  pid=3677 comm=
"mkinitrd" name="ld-2.5.so" dev=dm-0 ino=13271057 scontext=root:system_r:bootloa
der_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ld_so_t:s0 tclass=file
audit(1169839072.773:14): avc:  denied  { execute_no_trans } for  pid=3750 comm=
"mkinitrd" name="ld-2.5.so" dev=dm-0 ino=7274501 scontext=root:system_r:bootload
er_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ld_so_t:s0 tclass=file
audit(1169839072.797:15): avc:  denied  { execute_no_trans } for  pid=3751 comm=
"mkinitrd" name="ld-2.5.so" dev=dm-0 ino=7274501 scontext=root:system_r:bootload
er_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ld_so_t:s0 tclass=file
audit(1169839072.801:16): avc:  denied  { execute_no_trans } for  pid=3752 comm=
"mkinitrd" name="ld-2.5.so" dev=dm-0 ino=7274501 scontext=root:system_r:bootload
er_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ld_so_t:s0 tclass=file
audit(1169839072.827:17): avc:  denied  { execute_no_trans } for  pid=3753 comm=
"mkinitrd" name="ld-2.5.so" dev=dm-0 ino=13271057 scontext=root:system_r:bootloa
der_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ld_so_t:s0 tclass=file
audit(1169839072.831:18): avc:  denied  { execute_no_trans } for  pid=3754 comm=
"mkinitrd" name="ld-2.5.so" dev=dm-0 ino=13271057 scontext=root:system_r:bootloa
der_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ld_so_t:s0 tclass=file
Comment 33 Prarit Bhargava 2007-01-26 14:36:56 EST
Fabio,

There are two ways out of this.  The quick way is to boot your system and execute

>setenforce 0

And then yum install or install the kernel rpm.

The second way (the long way) is to update the selinux-policy prior to updating
the kernel.  This takes a long time though ;)

AFAICT, the underlying issue is that the selinux-policy had a bug in it which it
disallows rpm calling mkinitrd in some context.  Disabling selinux (setenforce
0) or updating selinux-policy will resolve the problem.

P.
Comment 34 Prarit Bhargava 2007-01-26 14:44:54 EST
Since this has been resolved in selinux-policy, this technically is NOTABUG.  It
was, however, a royal pain in the neck.

P.
Comment 35 Fabio Bettoni 2007-01-29 05:38:31 EST
Hi P.

selinux was already disabled on my system having SELINUX=disabled 
in /etc/sysconfig/selinux.

yum update always worked for all kernel up to 2.16.18

I don't see selinux error on dmesg or /var/log/messages.


I read async scsi scan can give some troubles.
>CONFIG_SCSI_SCAN_ASYNC:
>
>The SCSI subsystem can probe for devices while the rest of the
>system continues booting, and even probe devices on different
>busses in parallel, leading to a significant speed-up.
>If you have built SCSI as modules, enabling this option can
>be a problem as the devices may not have been found by the
>time your system expects them to have been.  You can load the
>scsi_wait_scan module to ensure that all scans have completed.
>If you build your SCSI drivers into the kernel, then everything
>will work fine if you say Y here.
>
>You can override this choice by specifying scsi_mod.scan="sync"
>or "async" on the kernel's command line.


Strange is I cannot disable it putting scsi_mod.scan="sync" in elilo.conf 
(Unknown boot option `scsi_mod.scan=sync': ignoring) or loading 
scsi_wait_scan.ko available in /lib/modules/2.6.19-
1.2914.fc7/kernel/drivers/scsi but not inserted in initrd.img when I put 
in /etc/modprobe.conf "install scsi_wait_scan /sbin/modprobe scsi_wait_scan"
Comment 36 Fabio Bettoni 2007-01-29 06:23:58 EST
Hi P.
I recompiled vanilla kernel with CONFIG_SCSI_SCAN_ASYNC and it does not work 
and behave the same way Fedora kernel does.

Maybe problem is my hardware SCSI configuration is different. I have 2 disks on 
mptspi and 4 disks on sym53c8xx. So async scan can be different.

Also mkinitrd is the same used by fedora kernel installation and my make 
install. If selinux matters also if not enabled, is the same for fedora kernel 
isntallation and my make install.

Thank yuo
Comment 37 Fabio Bettoni 2007-01-29 08:17:12 EST
Hi P.

the problems is definetly the async scsi scan.

I removed 2.6.19 kernel (rpm -e kernel-2.6.19-1.2914.fc7),
configured a fake scsi_hostadapter in modprobe.conf to load scsi_wait_scan 
module (see modprobe.conf below),
updated kernel (yum -y update)
and IT WORKS (no matter selinux, mkinitrd, fresh installation).

scsi_wait_scan module waits all scsi devices are scanned and terminates, the 
boot process continues finding all scsi devices available. Without it, the 
kernel continue to boot and does not find root device and hangs.

I think it works because you have only one scsi disk and it's found 
immediately. My root device is hdb and maybe take longer to be scanned, so it's 
not found in time.


alias scsi_hostadapter mptbase
alias scsi_hostadapter1 sym53c8xx
alias scsi_hostadapter2 scsi_wait_scan

Note You need to log in before you can comment on or make changes to this bug.